using System;
using System.Data;
using System.Collections.Generic;

using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
	/// <summary>
	/// 1
	/// </summary>
	public partial class T_Sys_Function
	{
		private readonly CallCenterApi.DAL.T_Sys_Function dal=new CallCenterApi.DAL.T_Sys_Function();
		public T_Sys_Function()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_FunctionId)
		{
			return dal.Exists(F_FunctionId);
		}

         /// <summary>
        /// 由id返回code
        /// </summary>
        public string GetCodeById(int functionId)
        {
            return dal.GetCodeById(functionId);
        }

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(CallCenterApi.Model.T_Sys_Function model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(CallCenterApi.Model.T_Sys_Function model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_FunctionId)
		{
			
			return dal.Delete(F_FunctionId);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_FunctionIdlist )
		{
			return dal.DeleteList(F_FunctionIdlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_Sys_Function GetModel(int F_FunctionId)
		{
			
			return dal.GetModel(F_FunctionId);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public CallCenterApi.Model.T_Sys_Function GetModelByCache(int F_FunctionId)
        //{
			
        //    string CacheKey = "T_Sys_FunctionModel-" + F_FunctionId;
        //    object objModel = SZRX.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_FunctionId);
        //            if (objModel != null)
        //            {
        //                int ModelCache = SZRX.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                SZRX.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (CallCenterApi.Model.T_Sys_Function)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<CallCenterApi.Model.T_Sys_Function> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<CallCenterApi.Model.T_Sys_Function> DataTableToList(DataTable dt)
		{
			List<CallCenterApi.Model.T_Sys_Function> modelList = new List<CallCenterApi.Model.T_Sys_Function>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				CallCenterApi.Model.T_Sys_Function model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new CallCenterApi.Model.T_Sys_Function();
					if(dt.Rows[n]["F_FunctionId"]!=null && dt.Rows[n]["F_FunctionId"].ToString()!="")
					{
						model.F_FunctionId=int.Parse(dt.Rows[n]["F_FunctionId"].ToString());
					}
					if(dt.Rows[n]["F_FunctionName"]!=null && dt.Rows[n]["F_FunctionName"].ToString()!="")
					{
					model.F_FunctionName=dt.Rows[n]["F_FunctionName"].ToString();
					}
					if(dt.Rows[n]["F_FunctionCode"]!=null && dt.Rows[n]["F_FunctionCode"].ToString()!="")
					{
					model.F_FunctionCode=dt.Rows[n]["F_FunctionCode"].ToString();
					}
					if(dt.Rows[n]["F_ParentId"]!=null && dt.Rows[n]["F_ParentId"].ToString()!="")
					{
						model.F_ParentId=int.Parse(dt.Rows[n]["F_ParentId"].ToString());
					}
					if(dt.Rows[n]["F_State"]!=null && dt.Rows[n]["F_State"].ToString()!="")
					{
						model.F_State=int.Parse(dt.Rows[n]["F_State"].ToString());
					}
					if(dt.Rows[n]["F_Layer"]!=null && dt.Rows[n]["F_Layer"].ToString()!="")
					{
						model.F_Layer=int.Parse(dt.Rows[n]["F_Layer"].ToString());
					}
					if(dt.Rows[n]["F_flag"]!=null && dt.Rows[n]["F_flag"].ToString()!="")
					{
						model.F_flag=int.Parse(dt.Rows[n]["F_flag"].ToString());
					}
					if(dt.Rows[n]["F_Sort"]!=null && dt.Rows[n]["F_Sort"].ToString()!="")
					{
						model.F_Sort=int.Parse(dt.Rows[n]["F_Sort"].ToString());
					}
					if(dt.Rows[n]["F_OptUrl"]!=null && dt.Rows[n]["F_OptUrl"].ToString()!="")
					{
					model.F_OptUrl=dt.Rows[n]["F_OptUrl"].ToString();
					}
					if(dt.Rows[n]["F_ImgUrl"]!=null && dt.Rows[n]["F_ImgUrl"].ToString()!="")
					{
					model.F_ImgUrl=dt.Rows[n]["F_ImgUrl"].ToString();
					}
					if(dt.Rows[n]["F_Remark"]!=null && dt.Rows[n]["F_Remark"].ToString()!="")
					{
					model.F_Remark=dt.Rows[n]["F_Remark"].ToString();
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

